<?php
namespace Meetanshi\OrderTracking\Block\SendTrackinglink;

/**
 * Interceptor class for @see \Meetanshi\OrderTracking\Block\SendTrackinglink
 */
class Interceptor extends \Meetanshi\OrderTracking\Block\SendTrackinglink implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\Registry $registry, \Meetanshi\OrderTracking\Helper\Data $helper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $registry, $helper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
